﻿<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>ObjectDataSourceコントロール</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:DropDownList ID="list" runat="server" AppendDataBoundItems="True" AutoPostBack="True"
            DataSourceID="sds" DataTextField="publish" DataValueField="publish">
            <asp:ListItem Selected="True" Value="-">選択してください</asp:ListItem>
        </asp:DropDownList><asp:SqlDataSource ID="sds" runat="server" ConnectionString="<%$ ConnectionStrings:myDb %>"
            SelectCommand="SELECT DISTINCT [publish] FROM [books]"></asp:SqlDataSource>
        <asp:GridView ID="grid" runat="server" AllowPaging="True" AllowSorting="True"
            CellPadding="4" DataSourceID="ods" ForeColor="#333333" GridLines="None" AutoGenerateColumns="False" DataKeyNames="isbn">
            <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#E3EAEB" />
            <EditRowStyle BackColor="#7C6F57" />
            <SelectedRowStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
            <Columns>
                <asp:ImageField DataAlternateTextField="title" DataImageUrlField="isbn" DataImageUrlFormatString="http://www.wings.msn.to/books/{0}/{0}_logo.jpg"
                    HeaderText="ロゴ">
                </asp:ImageField>
                <asp:HyperLinkField DataNavigateUrlFields="isbn" DataNavigateUrlFormatString="http://www.wings.msn.to/index.php/-/A-03/{0}/"
                    DataTextField="isbn" HeaderText="ISBNコード" />
                <asp:BoundField DataField="title" HeaderText="書名" />
                <asp:BoundField DataField="publish" HeaderText="出版社" />
                <asp:BoundField DataField="price" DataFormatString="{0:#,###円}" HeaderText="単価" HtmlEncode="False" />
                <asp:BoundField DataField="publishDate" DataFormatString="{0:yyyy年MM月dd日}" HeaderText="刊行日"
                    HtmlEncode="False" />
                <asp:CommandField ButtonType="Button" ShowDeleteButton="True" />
            </Columns>
        </asp:GridView>
        <asp:ObjectDataSource ID="ods" runat="server" SelectMethod="getBooksDataSet"
            TypeName="BooksDataSetTableAdapters.booksTableAdapter" InsertMethod="Insert" OldValuesParameterFormatString="original_{0}" UpdateMethod="Update">
            <SelectParameters>
                <asp:ControlParameter ControlID="list" Name="publish" PropertyName="SelectedValue"
                    Type="String" />
            </SelectParameters>
            <UpdateParameters>
                <asp:Parameter Name="isbn" Type="String" />
                <asp:Parameter Name="price" Type="Int32" />
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="publish" Type="String" />
                <asp:Parameter Name="publishDate" Type="DateTime" />
                <asp:Parameter Name="Original_isbn" Type="String" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="isbn" Type="String" />
                <asp:Parameter Name="price" Type="Int32" />
                <asp:Parameter Name="title" Type="String" />
                <asp:Parameter Name="publish" Type="String" />
                <asp:Parameter Name="publishDate" Type="DateTime" />
            </InsertParameters>
        </asp:ObjectDataSource>
    
    </div>
    </form>
</body>
</html>
