﻿<%@ Page Language="VB" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">

    Protected Sub wiz_FinishButtonClick(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.WizardNavigationEventArgs)
        sds.Insert()
    End Sub

    Protected Sub sds_Inserting(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.SqlDataSourceCommandEventArgs)
        e.Command.Parameters("@name").Value = txtName.Text
        e.Command.Parameters("@sex").Value = rdoSex.SelectedValue
        e.Command.Parameters("@email").Value = txtEmail.Text
        e.Command.Parameters("@lang").Value = txtLang.Text
        e.Command.Parameters("@self").Value = txtSelf.Text
    End Sub

    Protected Sub sds_Inserted(ByVal sender As Object, ByVal e As System.Web.UI.WebControls.SqlDataSourceStatusEventArgs)
        If e.Exception IsNot Nothing Then
            e.ExceptionHandled = True
            lblResult.Text = "エラー発生：" & e.Exception.Message
        End If
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Wizardコントロール</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:Wizard ID="wiz" runat="server" ActiveStepIndex="0" BackColor="#E6E2D8" BorderColor="#999999"
            BorderStyle="Solid" BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em"
            HeaderText="WINGSメンバ登録" OnFinishButtonClick="wiz_FinishButtonClick">
            <StepStyle BackColor="#F7F6F3" BorderColor="#E6E2D8" BorderStyle="Solid" BorderWidth="2px" />
            <SideBarStyle BackColor="#1C5E55" Font-Size="0.9em" VerticalAlign="Top" />
            <NavigationButtonStyle BackColor="White" BorderColor="#C5BBAF" BorderStyle="Solid"
                BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" ForeColor="#1C5E55" />
            <WizardSteps>
                <asp:WizardStep runat="server" StepType="Start" Title="基本情報">
                    名前：<br />
                    <asp:TextBox ID="txtName" runat="server"></asp:TextBox>
                    <br />
                    性別：<br />
                    <asp:RadioButtonList ID="rdoSex" runat="server" RepeatDirection="Horizontal">
                        <asp:ListItem Selected="True">男</asp:ListItem>
                        <asp:ListItem>女</asp:ListItem>
                    </asp:RadioButtonList>
                    E-Mailアドレス：<br />
                    <asp:TextBox ID="txtEmail" runat="server" Columns="30"></asp:TextBox>
                </asp:WizardStep>
                <asp:WizardStep runat="server" StepType="Finish" Title="追加情報">
                    得意な開発言語（いくつでも）：<br />
                    <asp:TextBox ID="txtLang" runat="server" Columns="30"></asp:TextBox>
                    <br />
                    その他、自己紹介なんでも：<br />
                    <asp:TextBox ID="txtSelf" runat="server" Columns="22" Rows="3" TextMode="MultiLine"></asp:TextBox>
                    <br />
                </asp:WizardStep>
                <asp:WizardStep runat="server" StepType="Complete" Title="完了">
                    <asp:Label ID="lblResult" runat="server" Text="メンバ登録が正常終了しました。"></asp:Label>
                </asp:WizardStep>
            </WizardSteps>
            <SideBarButtonStyle ForeColor="White" />
            <HeaderStyle BackColor="#666666" BorderColor="#E6E2D8" BorderStyle="Solid" BorderWidth="2px"
                Font-Bold="True" Font-Size="0.9em" ForeColor="White" HorizontalAlign="Center" />
        </asp:Wizard>
    
    </div>
        <asp:SqlDataSource ID="sds" runat="server" ConnectionString="<%$ ConnectionStrings:myDb %>"
            InsertCommand="INSERT INTO members(name, sex, email, lang, self) VALUES (@name, @sex, @email, @lang, @self)"
            ProviderName="<%$ ConnectionStrings:myDb.ProviderName %>" OnInserting="sds_Inserting" OnInserted="sds_Inserted">
            <InsertParameters>
                <asp:Parameter Name="name" />
                <asp:Parameter Name="sex" />
                <asp:Parameter Name="email" />
                <asp:Parameter Name="lang" />
                <asp:Parameter Name="self" />
            </InsertParameters>
        </asp:SqlDataSource>
    </form>
</body>
</html>
