﻿Imports Microsoft.VisualBasic
Imports System.ComponentModel
Imports System.Data
Imports System.Data.Common

Namespace BooksDataSetTableAdapters
    Partial Public Class booksTableAdapter
        <DataObjectMethod(DataObjectMethodType.Select, False)> _
        Public Function GetBooksDataSet(ByVal publish As String) As DataSet
            Dim setting As ConnectionStringSettings = _
                 ConfigurationManager.ConnectionStrings("MyDB")
            Dim factory As DbProviderFactory = _
                DbProviderFactories.GetFactory(setting.ProviderName)
            Dim db As DbConnection = factory.CreateConnection()
            db.ConnectionString = setting.ConnectionString
            Dim adapter As DbDataAdapter = factory.CreateDataAdapter()
            Dim comm As DbCommand = factory.CreateCommand()
            comm.Connection = db
            If publish <> "-" Then
                comm.CommandText = _
                  "SELECT * FROM books WHERE publish=@publish"
                Dim param As DbParameter = factory.CreateParameter()
                param.ParameterName = "@publish"
                param.Value = publish
                comm.Parameters.Add(param)
            Else
                comm.CommandText = "SELECT * FROM books"
            End If
            Dim ds As New DataSet()
            adapter.SelectCommand = comm
            adapter.Fill(ds, "books")
            Return ds
        End Function
    End Class
End Namespace